org.sqlite.util

## Class OSInfo

- java.lang.Object
- - org.sqlite.util.OSInfo

    public class OSInfo
    extends Object

Provides OS name and architecture name.

Author:
  leo

### Field Summary

Fields
`static String` `IA64`
`static String` `IA64_32`
`static String` `PPC`
`static String` `PPC64`
`protected static ProcessRunner` `processRunner`
`static String` `X86`
`static String` `X86_64`

### Constructor Summary

Constructors
Constructor and Description
`OSInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getArchName()`
`static String` `getNativeLibFolderPathForCurrentOS()`
`static String` `getOSName()`
`static boolean` `isAndroid()`
`static boolean` `isMusl()`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### processRunner

    protected static ProcessRunner processRunner

#### X86

    public static final String X86

See Also:
  Constant Field Values

#### X86_64

    public static final String X86_64

See Also:
  Constant Field Values

#### IA64_32

    public static final String IA64_32

See Also:
  Constant Field Values

#### IA64

    public static final String IA64

See Also:
  Constant Field Values

#### PPC

    public static final String PPC

See Also:
  Constant Field Values

#### PPC64

    public static final String PPC64

See Also:
  Constant Field Values

### Constructor Detail

#### OSInfo

    public OSInfo()

### Method Detail

#### main

    public static void main(String[] args)

#### getNativeLibFolderPathForCurrentOS

    public static String getNativeLibFolderPathForCurrentOS()

#### getOSName

    public static String getOSName()

#### isAndroid

    public static boolean isAndroid()

#### isMusl

    public static boolean isMusl()

#### getArchName

    public static String getArchName()